Page MenuHomePhabricator

Add ability to deactivate the IPv4 address-family for BGP peers.
Closed, ResolvedPublicENHANCEMENT

Description

At the moment, the IPv4 AFI is activated by default for all peers, which is usually not desired for IPv6 peers.

vyos has set protocols bgp 123 parameters default no-ipv4-unicast but this doesn't seem to actually do anything other than add "bgp default ipv4-unicast" to the config, because "protocols bgp var neighbor var remote-as" automatically adds the activate line.

Something like:

set protocols bgp 123 neighbor 2001:DB8::1 no-activate

This should then apply "no neighbor 2001:DB8::1 activate" to the neighbor

Ideally no-activate would be the default if no-ipv4-unicast was set.

Details

Difficulty level
Hard (possibly days)
Version
-
Why the issue appeared?
Other
syncer triaged this task as Wishlist priority.Aug 1 2017, 4:37 AM
syncer changed the edit policy from "Task Author" to "Custom Policy".
syncer added a project: VyOS 1.2 Crux.
syncer changed Difficulty level from Easy (less than an hour) to Hard (possibly days).
syncer set Version to -.

Moved that to wishlist priority,
require further discussion

syncer removed syncer as the assignee of this task.Nov 3 2017, 12:25 PM
syncer added a subscriber: syncer.

I'm attempting to go all IPv6 internally so this would be nice to have if it doesn't currently work.

This comment was removed by sebastianm.
pasik added a subscriber: pasik.Oct 1 2018, 9:54 AM
syncer changed the subtype of this task from "Task" to "Enhancement".Oct 20 2018, 7:00 AM

With the new BGP syntax where IPv4 is in its own address family just like IPv6, the no default ipv4-unicast option should work as expected. See T849.

dmbaturin closed this task as Resolved.
dmbaturin set Why the issue appeared? to Other.

Hi, on the latest VyOS 1.2.0-rc9 the command:
set protocols bgp 65010 parameters default no-ipv4-unicast

is working though a bit too good, as after a reboot there are no BGP sessions anymore both for v4 and v6, all the peers are defined with their address family's as it should.